Bug 222763 - sdl-config vs pkg-config
sdl-config vs pkg-config
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-15 21:23 EST by Juan Manuel Borges Caño
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-12 09:44:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Manuel Borges Caño 2007-01-15 21:23:05 EST
Description of problem:
all the devel apps that uses pkgname-config should change to pkg-config, like
sdl-config, i think it's a better use of the config program paradigm for
developers, furthermore the use of pkgname-config would populate the filesystem
of a great quantity of little programs that do the same thing, per package.
I think that pkg-config was maded for resolve this problem. I think that working
with per package config programs is a bug, now that pkg-config exists.

Version-Release number of selected component (if applicable):
1.2.10

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
it works with sdl-config

Expected results:
it should works with pkg-config

Additional info:
Comment 1 Hans de Goede 2007-02-12 09:44:28 EST
sdl-config and many other xxx-config scripts have been around for ages before
pkg-config was invented. Many many makefiles and configure scripts rely on
sdl-config. Thus sdl-config cannot be removed, if you want SDL-devel to supply a
pkgconfig (.pc) file in addition to sdl-config you shopuld request this
upstream, not here.

Closing as notabug.

Note You need to log in before you can comment on or make changes to this bug.